Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NormalizedString

    java.lang.Object
      org.apache.axis.types.NormalizedString

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Token

public class NormalizedString
extends java.lang.Object
implements java.io.Serializable

Custom class for supporting XSD data type NormalizedString. normalizedString represents white space normalized strings. The base type of normalizedString is string.

Author:
  Chris Haddad
See Also:
  XML Schema Part 2: Datatypes 3.3.1, Serialized Form

Constructor Summary
`NormalizedString()`
`NormalizedString(java.lang.String stValue)` ctor for NormalizedString

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`
`static boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition for the object The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters.
`void` | `setValue(java.lang.String stValue)` validates the data and sets the value for the object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NormalizedString

    public NormalizedString()

### NormalizedString

    public NormalizedString(java.lang.String stValue)
                     throws java.lang.IllegalArgumentException

  ctor for NormalizedString

Parameters:
  `stValue` - is the String value
Throws:
  `java.lang.IllegalArgumentException` - if invalid format

Method Detail

### setValue

    public void setValue(java.lang.String stValue)
                  throws java.lang.IllegalArgumentException

  validates the data and sets the value for the object.

  Parameters:
    `stValue` - String value
  Throws:
    `java.lang.IllegalArgumentException` - if invalid format

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

### isValid

    public static boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition for the object The value space of normalizedString is the set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters. The lexical space of normalizedString is the set of strings that do not contain the carriage return (#xD) nor tab (#x9) characters.

  Parameters:
    `stValue` - the String to test

### equals

    public boolean equals(java.lang.Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.